<?php

class sfWebDebugPanelCatalyzCMS extends sfWebDebugPanel
{
	public function getTitle()
	{
		return 'Catalyz CMS';
	}

	public function getPanelTitle()
	{
		return 'Catalyz CMS - Long title?';
	}

	public function getPanelContent()
	{
		$ContentTreeNode = ContentTree::instance()->getCurrentNode();
		if ($ContentTreeNode) {
			$class = $ContentTreeNode->getNodeClass();
			if (substr($class, 0, 4) == 'Page') {
				$class = substr($class, 4);
			}
			return sprintf('[%s]', $class);
		}
		return FALSE;
	}
}

?>